Page MenuHomePhabricator

Create list of privileged wiki groups
Open, Needs TriagePublic

Description

'wmgPrivelegedGroups' => [
	// Default should include any privileged group that's on more than a few wikis
	'default' => [ 'botadmin', 'bureaucrat', 'checkuser', 'interface-editor' 'sysop', 'oversight' ],
	'+enwiki' => [ 'abusefilter' ],
	'+fawiki' => [ 'templateeditor' ],
	'+fishbowl' => [ 'user' ],
	'+incubatorwiki' => [ 'translator' ],
	'+metawiki' => [ 'centralnoticeadmin' ],
	'+private' => [ 'user' ],
	'+rowiki' => [ 'templateeditor' ],
	'+ruwiki' => [ 'engineer' ],
	'+testwiki' => [ 'centralnoticeadmin' ],
	'+trwiki' => [ 'technician' ],
	'+trwikiquote' => [ 'technician' ],
	'+wikidata' => [ 'wikidata-staff' ],
],

Follows up T150925#2802384

Details

Related Gerrit Patches:
operations/mediawiki-config : masterWMF staff local groups to $wmgPrivilegedGroups
operations/mediawiki-config : masterAdd 'global-renamer' to the list of privileged wiki groups
operations/mediawiki-config : masterMake and re-use list of all elevated WMF groups

Event Timeline

Reedy created this task.Nov 17 2016, 1:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2016, 1:37 PM
Reedy added a comment.Nov 17 2016, 1:38 PM

Or is it better to just have one global list, and don't bother about per wiki ness?

Though, still be useful to be able to use say the private and fishbowl dblists in that format, to just enable it for all groups.... To replace wmgElevateDefaultPasswordPolicy too

Reedy added a comment.Nov 17 2016, 1:41 PM
All users on donatewiki and foundationwiki
templateeditor on fawiki and rowiki
botadmin on frwiktionary and mlwiki, mlwikisource, mlwiktionary, 
translator on incubatorwiki
centralnoticeadmin on metawiki and testwiki
securepoll on officewiki
technician on trwiki and trwikiquote
electcomm on votewiki
staffsupport on votewiki
electionadmin on votewiki
wikidata-staff on wikidatawiki and testwikidatawiki
engineer on ruwiki
Reedy updated the task description. (Show Details)Nov 17 2016, 1:47 PM
Reedy updated the task description. (Show Details)

Change 322094 had a related patch set uploaded (by Reedy):
Make and re-use list of all elevated WMF groups

https://gerrit.wikimedia.org/r/322094

Aklapper renamed this task from Create list of priveleged wiki groups to Create list of privileged wiki groups.Nov 17 2016, 6:14 PM

Change 322094 merged by jenkins-bot:
Make and re-use list of all elevated WMF groups

https://gerrit.wikimedia.org/r/322094

Change 324096 merged by jenkins-bot:
Add 'global-renamer' to the list of privileged wiki groups

https://gerrit.wikimedia.org/r/324096

Mentioned in SAL (#wikimedia-operations) [2016-11-29T19:30:54Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:324096|Add "global-renamer" to the list of privileged wiki groups]] T150951 (duration: 00m 45s)

Change 324250 had a related patch set (by MarcoAurelio) published:
WMF staff local groups to $wmgPrivilegedGroups

https://gerrit.wikimedia.org/r/324250

Change 324250 merged by jenkins-bot:
WMF staff local groups to $wmgPrivilegedGroups

https://gerrit.wikimedia.org/r/324250

Mentioned in SAL (#wikimedia-operations) [2016-11-30T14:42:03Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add WMF staff local groups to $wmgPrivilegedGroups (T150951) (duration: 00m 46s)

Tgr added a subscriber: Tgr.Wed, Nov 27, 7:00 PM

I think rOMWC3ff2495bbf5a: Improve list of privileged groups (a year ago) patched up the holes in this list. (Note there is also $wmgPrivilegedGlobalGroups; instead of relying these directly, you should usually use wmfGetPrivilegedGroups().) Is there anything left to do here?

Restricted Application added a subscriber: Strainu. · View Herald TranscriptWed, Nov 27, 7:00 PM